#popup_coupon_mini {
    display: none;
    width: 40px;
    height: auto;
    position: fixed;

    left: 2px;
    top:50%;

    background-color: #c52e73;

    border-radius: 5px;
    border: solid 1px #f662a0;
    content: '';

    padding: 14px 0px;

    z-index: 25;
    cursor: pointer;
}

#popup_coupon_mini img {
    width: 85%;
    height: auto;

    display: block;
    margin: 0 auto;
}

#popup_coupon_mini span {
    color: #fff;
    display: block;
    text-align: center;
    font-size: 1.1rem;
    font-weight: 600;
    padding-top: 10px;
}

#popup_coupon_full {
    display: none;
    position: fixed;
    width: 470px;
    height: auto;
    left:2px;
    bottom: 2px;

    background-color: #f9e6ec;
    background-size: 35% auto;
    background-repeat: no-repeat;
    background-position-y: center;

    padding-left: 160px;
    padding-top: 10px;
    padding-right: 20px;
    padding-bottom: 10px;
    border-radius: 10px;
    border: solid 1px #fff;
    outline: solid 1px #efefef;

    z-index: 150;
}

#popup_coupon_full .btn-close {
    margin-left: 95%;
    background: transparent url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 16 16' fill='%235d2540'%3e%3cpath d='M.293.293a1 1 0 011.414 0L8 6.586 14.293.293a1 1 0 111.414 1.414L9.414 8l6.293 6.293a1 1 0 01-1.414 1.414L8 9.414l-6.293 6.293a1 1 0 01-1.414-1.414L6.586 8 .293 1.707a1 1 0 010-1.414z'/%3e%3c/svg%3e") center/1em auto no-repeat;
    opacity: 0.8;
}

#popup_coupon_full .btn-close:hover {
    opacity: 1;
}

#popup_coupon_full .title {
    color: #5d2540;
    font-weight: 600;
    font-size: 25px;
    position: relative;
    top: -10px;
}

#popup_coupon_full .description {
    color: #5d2540;
    line-height: 1.8em;
    font-size: 13px;
    font-weight: 600;
}

#popup_coupon_full .popup-btn {
    height: 35px;
    border-radius: 10px;
    display: flex;
    justify-content: center;
    align-items: center;
    margin-top: 10px;
    margin-bottom: 10px;
}

#popup_coupon_full .coupon-name {
    border: solid 1px #fff;
    outline: solid 1px #e9d8e2;
    font-weight: 600;
    color: #5d2540;
    
    text-transform: capitalize;
}

#popup_coupon_full .popup-coupon-button {
    background: radial-gradient(at 50% 0%, #f662a0 1%, #c52e73 100%);

    border: solid 1px #e9d8e2;
    outline: solid 1px #c52e73;

    color: #fff;

    cursor: pointer;
}

#popup_coupon_full .popup-coupon-button:hover {
    background: radial-gradient(at 50% 0%, #f662a0 15%, #9a2459  100%);
}

#popup_coupon_full .popup-coupon-button.disabled:hover {
    background: radial-gradient(at 50% 0%, #f662a0 1%, #c52e73 100%);
    cursor: default;
}

@media (min-width: 630px) {
    #popup_coupon_full {
        background-size: auto 194px;
    }
}

@media (max-width: 629px) {
    #popup_coupon_mini {
        width: 40px;
        height: auto;

        padding: 10px 0px;
    }

    #popup_coupon_mini span {
        padding-top: 7px;

        font-size: 1rem;
    }

    #popup_coupon_full {
        width: calc(100% - 14px);
        margin: 7px;
        left: 0;
        bottom: 0;

        background-size: 150px auto;
    }

    #popup_coupon_full .title {
        font-size: 16px;
    }

    #popup_coupon_full .description {
        font-size: 10px;
    }

    #popup_coupon_full .coupon-name,
    #popup_coupon_full .popup-coupon-button {
        font-size: 0.8rem;
        font-weight: 600;
    }
}